Ошибка при старте.

2 years 3 months ago #646 by zhuravel
zhuravel created the topic: Ошибка при старте.
Добрый день. У меня сервер установлен на Nas4Free. Работает нормально. Но есть такая проблема. Старт сервера выполняется в WebGUI (вебинтерфейс) через командные скрипты. Сам сервер стартует после включения, но скан выдает ошибку:
2016-07-30 08:26:38,991 INFO      ***** Starting sopds-scan...
Traceback (most recent call last):
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/cursor.py", line 381, in _process_params
    res = [to_mysql(i) for i in res]
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/cursor.py", line 381, in <listcomp>
    res = [to_mysql(i) for i in res]
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/conversion.py", line 179, in to_mysql
    return getattr(self, "_{0}_to_mysql".format(type_name))(value)
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/conversion.py", line 233, in _str_to_mysql
    return self._unicode_to_mysql(value)
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/conversion.py", line 242, in _unicode_to_mysql
    encoded = value.encode(charset)
UnicodeEncodeError: 'utf-8' codec can't encode character '\udcd0' in position 3: surrogates not allowed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/cd4/opds/py/sopdsd.py", line 338, in <module>
    daemon.start()
  File "/mnt/cd4/opds/py/sopdsd.py", line 292, in start
    Daemon.start(self)
  File "/mnt/cd4/opds/py/sopdsd.py", line 146, in start
    self.run()
  File "/mnt/cd4/opds/py/sopdsd.py", line 327, in run
    self.run_scanner()
  File "/mnt/cd4/opds/py/sopdsd.py", line 318, in run_scanner
    self.scanner.scan_all()
  File "/mnt/cd4/opds/py/sopdscan.py", line 91, in scan_all
    self.processfile(name,full_path,file,0,file_size)
  File "/mnt/cd4/opds/py/sopdscan.py", line 137, in processfile
    if self.opdsdb.findbook(name,rel_path,1)==0:
  File "/mnt/cd4/opds/py/sopdsdb.py", line 106, in findbook
    cursor.execute(sql_findbook,data_findbook)
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/cursor.py", line 503, in execute
    psub = _ParamSubstitutor(self._process_params(params))
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/cursor.py", line 386, in _process_params
    "Failed processing format-parameters; %s" % err)
mysql.connector.errors.ProgrammingError: Failed processing format-parameters; 'utf-8' codec can't encode character '\udcd0' in position 3: surrogates not allowed
2016-07-30 08:26:39,806 INFO     sopdsDaemon delpid()...
Как это можно исправить.

Please Войти or Create an account to join the conversation.

  • zhuravel
  • zhuravel's Avatar Topic Author
  • Offline
  • Захожу иногда
  • Захожу иногда
More
Time to create page: 0.159 seconds